ScriptingClient(1)

NAME
scriptingclient - RSerPool Client (PU) for the Scripting service

SYNOPSIS
scriptingclient [-poolhandle=pool_handle] [-environment=file_name] [-input=file_name] [-output=file_name] [-quiet] [-maxretry=trials] [-retrydelay=milliseconds] [-runid=description] [-transmittimeout=milliseconds] [-keepaliveinterval=milliseconds] [-keepalivetimeout=milliseconds] [-cspinterval=milliseconds] [-cspserver=address:port] [-logappend=filename] [-logcolor=on|off] [-logfile=filename] [-loglevel=0-9]

DESCRIPTION
scriptingclient is a Reliable Server Pooling (RSerPool) pool user (PU) for the scripting service. The purpose of this service is to distribute input data to a scripting PE, execute a script doing some useful work on the input data and returning output data. For example, this service can be used for distributed simulation processing.

ARGUMENTS
The following options are available:

-poolhandle=pool_handle
    Sets the PH to a non-default value; otherwise, the default setting is "ScriptingPool".

Service Parameters:

    -environment=file_name
        Sets the name of the environment file to upload to the PE. The PE may cache this environment file, allowing to skip a subsequent upload of the same environment file.

    -input=file_name
        Sets the name of the input file to upload to the PE.

    -output=file_name
        Sets the name of the output file to write the download from the PE to.

    -quiet
        Turns on quiet mode, i.e. only few information is printed.

    -maxretry=trials
        Maximum number of retries upon errors on the remote site. The error counter only increments when the remote-side script returns a non-zero error code. When the error limit is reached, the received output file will be downloaded for debugging purposes.

    -retrydelay=milliseconds
        Sets the retry delay upon failover in milliseconds.

    -runid=description
        Add the given description to all log lines of the scripting service PU operation. This can be useful when multiple PUs are running simultaneously.

    -transmittimeout=milliseconds
        Sets the transmission timeout in milliseconds.

    -keepaliveinterval=milliseconds
        Sets the keep-alive interval in milliseconds.

    -keepalivetimeout=milliseconds
        Sets the keep-alive timeout in milliseconds.

ASAP Protocol Parameters:

    -registrar=address:port
        Adds a static PR entry into the Registrar Table. It is possible to add multiple entries.

    -registrarannouncetimeout=milliseconds
        Sets the timeout for ASAP announces via multicast.

    -registrarconnecttimeout=milliseconds
        Sets the timeout for ASAP connection establishment.

    -registrarconnectmaxtrials=trials
        Sets the maximum number of ASAP connection establishment trials.

    -registrarrequesttimeout=milliseconds
        Sets the timeout for ASAP requests.

    -registrarresponsetimeout=milliseconds
        Sets the timeout for waiting to receive ASAP responses.

    -registrarrequestmaxtrials=trials
        Sets the maximum number of ASAP request trials.

Component Status Protocol (CSP) Parameters:

    -cspinterval=milliseconds
        Sets the interval for the CSP status updates in milliseconds. By default, the content of the environment variable CSP_INTERVAL is used. If not defined, no CSP status reports will be sent.

    -cspserver=address:port
        Sets the address of a CSP monitor server. By default, the content of the environment variable CSP_SERVER is used. If not defined, no CSP status reports will be sent.

Logging Parameters:

    -logappend=filename
        Write logging output to a file (default is stdout); output will be appended to given file.

    -logcolor=on|off
        Turns ANSI colorization of the logging output on or off.

    -logfile=filename
        Write logging output to a file (default is stdout); given file will be overwritten.

    -loglevel=0-9
        Sets the logging verbosity from 0 (none) to 9 (very verbose). It is recommended to use at least a value of 2 to see possibly important error messages and warnings.

ENVIRONMENT
scriptingclient uses the environment variables CSP_SERVER and CSP_INTERVAL to define a CSP server to send reports to in the specified interval.

DIAGNOSTICS
If loglevel>0, log messages will be printed to stdout or into a specified log file.

SEE ALSO
For a detailed introduction to RSerPool, see:
https://duepublico.uni-duisburg-essen.de/servlets/DerivateServlet/Derivate-16326/Dre2006_final.pdf

Thomas Dreibholz's RSerPool Page:
https://www.nntb.no/~dreibh/rserpool/